Package com.xebialabs.xlrelease.events

# Class TaskSkipOperation$

java.lang.Object
scala.runtime.AbstractFunction2<Task,Object,TaskSkipOperation>
com.xebialabs.xlrelease.events.TaskSkipOperation$

All Implemented Interfaces:
  `Serializable`, `scala.Function2<Task,Object,TaskSkipOperation>`

public class TaskSkipOperation$ extends scala.runtime.AbstractFunction2<Task,Object,TaskSkipOperation> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TaskSkipOperation$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskSkipOperation$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskSkipOperation`
  `apply(Task task, boolean inAdvance)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple2<Task,Object>>`
  `unapply(TaskSkipOperation x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction2

  `apply$mcDDD$sp, apply$mcDDI$sp, apply$mcDDJ$sp, apply$mcDID$sp, apply$mcDII$sp, apply$mcDIJ$sp, apply$mcDJD$sp, apply$mcDJI$sp, apply$mcDJJ$sp, apply$mcFDD$sp, apply$mcFDI$sp, apply$mcFDJ$sp, apply$mcFID$sp, apply$mcFII$sp, apply$mcFIJ$sp, apply$mcFJD$sp, apply$mcFJI$sp, apply$mcFJJ$sp, apply$mcIDD$sp, apply$mcIDI$sp, apply$mcIDJ$sp, apply$mcIID$sp, apply$mcIII$sp, apply$mcIIJ$sp, apply$mcIJD$sp, apply$mcIJI$sp, apply$mcIJJ$sp, apply$mcJDD$sp, apply$mcJDI$sp, apply$mcJDJ$sp, apply$mcJID$sp, apply$mcJII$sp, apply$mcJIJ$sp, apply$mcJJD$sp, apply$mcJJI$sp, apply$mcJJJ$sp, apply$mcVDD$sp, apply$mcVDI$sp, apply$mcVDJ$sp, apply$mcVID$sp, apply$mcVII$sp, apply$mcVIJ$sp, apply$mcVJD$sp, apply$mcVJI$sp, apply$mcVJJ$sp, apply$mcZDD$sp, apply$mcZDI$sp, apply$mcZDJ$sp, apply$mcZID$sp, apply$mcZII$sp, apply$mcZIJ$sp, apply$mcZJD$sp, apply$mcZJI$sp, apply$mcZJJ$sp, curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function2

  `apply`

- ## Field Details

  - ### MODULE$

    public static final TaskSkipOperation$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### TaskSkipOperation$

    public TaskSkipOperation$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function2<Task,Object,TaskSkipOperation>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction2<Task,Object,TaskSkipOperation>`

  - ### apply

    public TaskSkipOperation apply(Task task, boolean inAdvance)

  - ### unapply

    public scala.Option<scala.Tuple2<Task,Object>> unapply(TaskSkipOperation x$0)